#!/usr/bin/env python
# coding: utf-8

import os
import shutil
import sys
#import glob

from distutils.core import setup


try:
    from setuptools.command import egg_info
    egg_info.write_toplevel_names
except (ImportError, AttributeError):
    pass
else:
    def _top_level_package(name):
        return name.split('.', 1)[0]

    def _hacked_write_toplevel_names(cmd, basename, filename):
        pkgs = dict.fromkeys(
            [_top_level_package(k)
                for k in cmd.distribution.iter_distribution_names()
                if _top_level_package(k) != "twisted"
            ]
        )
        cmd.write_file("top-level names", filename, '\n'.join(pkgs) + '\n')


settings_path = '/etc/junta-server'
settings_name = 'settings.json'
settings_path_name = os.path.join(settings_path, settings_name)

default_settings_path = '/etc/junta-server'
default_settings_name = 'default_settings.json'
default_settings_path_name = os.path.join(default_settings_path, default_settings_name)

setup(
    name='junta.server',
    version='1.0.15',
    packages=['junta.server'],
    package_dir={'junta.server': ''},
    data_files=[
        ('/etc/init', ['junta-server.conf']),
        (default_settings_path, [default_settings_name])
        ],
    install_requires=['junta.common'],
    author='iVideon',
    author_email='support@ivideon.ru',
    url='https://bitbucket.org/ivideon/junta'
    )

if 'install' in sys.argv:
    if not os.path.isfile(settings_path_name):
        try:
            shutil.copyfile(default_settings_path_name, settings_path_name)
        except Exception as e:
            print "Error: can not copy config file. Exception: {}.".format(e)
